### 96.1 Command line options

The following command line options are available for Maxima:

`-f file, --batch=file`

  Process file in noninteractive mode.

`--batch-lisp=file`

  Process Lisp file file in noninteractive mode.

`--batch-string=string`

  Process string in noninteractive mode.

`-d, --directories`

  Display Maxima directory information.

`--disable-readline`

  Disable readline support.

`-g, --enable-lisp-debugger`

  Enable Lisp debugger.

`-h, --help`

  Display a brief usage summary.

`--init=string`

  Load the Maxima and Lisp initialization files `string.mac` and `string.lisp` at startup.

`--init-mac=file`

  Load the Maxima initialization file file at startup.

`--init-lisp=file`

  Load the Lisp initialization file file at startup.

`-l lisp, --lisp=lisp`

  Use Lisp implementation lisp. Use `--list-avail` to see the list of possible values.

`--list-avail`

  List the available Lisp and Maxima versions.

`-p lisp_file, --preload-lisp=lisp_file`

  Preload `lisp_file`.

`-q, --quiet`

  Suppress Maxima start-up message.

`-r string, --run-string=string`

  Process string in interactive mode.

`-s port, --server=port`

  Connect Maxima to server on port. Note that this does not create a Maxima server; Maxima is the client.

`-u version, --use-version=version`

  Launch Maxima version version. Use `--list-avail` to see the list of possible values.

`--userdir=directory`

  Use directory for user directory (default is `%USERPROFILE%/maxima` for Windows, `$HOME/.maxima` for others)

`-v, --verbose`

  Print extra information from the Maxima wrapper script.

`--version`

  Print the (default) installed version.

`--very-quiet`

  Suppress expression labels and the Maxima start-up message.

`-X Lisp options, --lisp-options=Lisp options`

  Options to be given to the underlying Lisp.